Create job application field
curl --request POST \
--url https://assess.praxicraft.com/api/v1/public/jobs/{key}/fields/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://assess.praxicraft.com/api/v1/public/jobs/{key}/fields/"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://assess.praxicraft.com/api/v1/public/jobs/{key}/fields/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://assess.praxicraft.com/api/v1/public/jobs/{key}/fields/';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://assess.praxicraft.com/api/v1/public/jobs/{key}/fields/"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "f1111111-1111-1111-1111-111111111111",
"key": "years_experience",
"label": "Years of experience",
"field_type": "number",
"placeholder": "",
"help_text": "",
"is_required": true,
"sort_order": 0,
"is_active": true,
"options": [],
"created_at": "2026-08-28T12:05:00Z",
"updated_at": "2026-08-28T12:05:00Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"message": "Invalid or revoked API Key.",
"code": "INVALID_API_KEY"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Public API — Jobs
Create job application field
Required scope:
jobs:write
Adds one application form field to a job. Provide key, label, and field_type. Select-style fields may include options.
Responses
| Status | Code | When |
|---|---|---|
201 | — | Field created |
400 | VALIDATION_ERROR | Missing/duplicate key or invalid type |
404 | — | Job not found |
Authentication & rate limits (all endpoints)
| Status | Code | When |
|---|---|---|
401 | INVALID_API_KEY | Missing or invalid bearer token |
401 | EXPIRED_API_KEY | API key past its optional expires_at |
403 | INSUFFICIENT_SCOPE | API key lacks the required scope for this operation |
403 | IP_NOT_ALLOWED | Client IP is outside this key’s CIDR allowlist |
429 | RATE_LIMITED | Rate limit exceeded — plan-tiered reads/writes per organisation per hour |
POST
/
api
/
v1
/
public
/
jobs
/
{key}
/
fields
/
Create job application field
curl --request POST \
--url https://assess.praxicraft.com/api/v1/public/jobs/{key}/fields/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://assess.praxicraft.com/api/v1/public/jobs/{key}/fields/"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://assess.praxicraft.com/api/v1/public/jobs/{key}/fields/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://assess.praxicraft.com/api/v1/public/jobs/{key}/fields/';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://assess.praxicraft.com/api/v1/public/jobs/{key}/fields/"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "f1111111-1111-1111-1111-111111111111",
"key": "years_experience",
"label": "Years of experience",
"field_type": "number",
"placeholder": "",
"help_text": "",
"is_required": true,
"sort_order": 0,
"is_active": true,
"options": [],
"created_at": "2026-08-28T12:05:00Z",
"updated_at": "2026-08-28T12:05:00Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"message": "Invalid or revoked API Key.",
"code": "INVALID_API_KEY"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Organisation API key created in Assess → Developer → API Keys. Format: Bearer ct_live_<your-key> (live) or Bearer ct_test_<your-key> (test). Optional per-key CIDR allowlists return 403 IP_NOT_ALLOWED.
Path Parameters
Response
Maximum string length:
80Pattern:
^[-a-zA-Z0-9_]+$Maximum string length:
255Available options:
short_text, long_text, single_select, multi_select, number, boolean, url Maximum string length:
255Maximum string length:
500Required range:
0 <= x <= 2147483647Show child attributes
Show child attributes
Last modified on September 5, 2026